﻿using System.Collections.Generic;

using BFR.DataModels;

namespace BFR.Operations
{
    public class Overwrite : Operation
    {
        // Operation Info
        public override string Name => nameof(Overwrite);
        public override string Description => "Overwrites all file names. To produce a valid result this has to be combined with numbering.";
        public override OperationType OperationType { get; } = OperationType.Make<Overwrite>();

        // Operation Parameters
        public string Replacement { get; set; } = "";
        public bool FullName { get; set; } = false;

        protected override void ApplyToInternal(List<FileModel> files)
        {
            // Fail conditions: No fail conditions
            // Apply Operation
            foreach (var file in files)
                if (FullName) file.FullName = Replacement;
                else file.Name = Replacement;
        }
    }
}
